2010-06-01  Lluis Sanchez Gual  <lluis@novell.com>

	* templates/NUnitAssemblyGroup.xpt.xml: Don't include the
	  assembly name in the project type name since it doesn't work
	  well when running on .NET

2010-06-01  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/TestNodeBuilder.cs:
	* MonoDevelopNUnit.addin.xml: Added go-to-failure command to
	  the test pad context menu. Fixes bug #610358 - Go to source
	  code in unit test pad doesn't work as expected.

2010-05-26  Lluis Sanchez Gual  <lluis@novell.com>

	* Services/NUnitService.cs: Use ShowCustomDialog (which
	  destroys the dialog when done) instead of RunCustomDialog
	  (which doesn't).

2010-05-22  Michael Hutchinson  <mhutchinson@novell.com>

	* Services/NUnitService.cs: More dialog placing.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/NUnitAssemblyGroupConfigurationNodeBuilder.cs: Clean up
	  dialog placement.

2010-05-05  Mike Krüger  <mkrueger@novell.com>

	* Services/UnitTestResult.cs: handled possible null ref.

2010-05-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelopNUnit.addin.xml: Register nunit project as
	  serializable.

	* Services/NUnitService.cs:
	* Project/NUnitAssemblyGroupProject.cs: Ensure that tests are
	  always shown for nunit assembly projects, when created and
	  when added. Fixes bug #602143 - Unit tests don't show up in
	  the Unit Tests pane.

2010-04-21  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/TestResultsPad.cs: Free up wasted space between
	  scrollbars and treeview contents.

2010-04-14  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/TestResultsPad.cs:
	* Commands/NUnitCommands.cs:
	* MonoDevelopNUnit.addin.xml:
	* Services/UnitTestResult.cs: In the results pad, allow
	  jumping to a specific line of the call stack. When
	  double-clicking in a test failure, jump to the location of
	  the failure, if available.

	* gtk-gui/MonoDevelop.NUnit.NUnitOptionsWidget.cs: Flush.

2010-04-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelopNUnit.addin.xml: Fixed node set name.

	* nunit.glade:
	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* MonoDevelop.NUnit.csproj:
	* Gui/NUnitOptionsPanel.cs:
	* gtk-gui/MonoDevelop.NUnit.NUnitOptionsWidget.cs: Ported some
	  old glade code to stetic.

	* Services/ExternalTestRunner.cs:
	* Services/NUnitAssemblyTestSuite.cs: Make sure the remote
	  monitor is not disconnected too early.

	* Gui/TestPad.cs:
	* Gui/TestResultsPad.cs: Fix warnings.

2010-04-08  Lluis Sanchez Gual  <lluis@novell.com>

	* Services/UnitTestGroup.cs:
	* Services/NUnitTestSuite.cs:
	* Services/SystemTestProvider.cs:
	* Services/NUnitAssemblyTestSuite.cs: Don't show projects and
	  solutions which don't contain unit tests.

2010-04-01  Lluis Sanchez Gual  <lluis@novell.com>

	* Services\ExternalTestRunner.cs: Preload the NUnitRunner
	  assembly.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelopNUnit.addin.xml: Bumped MD version.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* Services/NUnitAssemblyTestSuite.cs: Fill the tests in the
	  gui thread. Fixes bug #585286 - Collection modified while
	  iterating.

2010-03-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelopNUnit.addin.xml: Set the default location for
	  unit tests pads. Register a new Unit Testing layout.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* Gui/TestPad.cs:
	* Gui/CircleImage.cs:
	* Gui/TestResultsPad.cs:
	* Gui/TestNodeBuilder.cs:
	* MonoDevelop.NUnit.csproj:
	* Services/NUnitService.cs:
	* Commands/NUnitCommands.cs:
	* MonoDevelopNUnit.addin.xml:
	* Gui/UnitTestOptionsDialog.cs:
	* Gui/TestAssemblyNodeBuilder.cs:
	* Services/NUnitProjectTestSuite.cs:
	* Gui/NUnitAssemblyGroupNodeBuilder.cs:
	* Services/NUnitProjectServiceExtension.cs:
	* Gui/NUnitAssemblyGroupConfigurationNodeBuilder.cs: Merged
	  MD.Projects into MD.Core, and MD.Projects.Gui, MD.Core.Gui
	  and MD.Components into MD.Ide.

2010-03-08  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* Gui/TestPad.cs:
	* Gui/TestResultsPad.cs:
	* MonoDevelop.NUnit.csproj: Use the new DockItemToolbar class
	  for showing toolbar commands.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/TestPad.cs:
	* Gui/TestResultsPad.cs: Track api changes.

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* Gui/TestPad.cs:
	* Gui/TestResultsPad.cs: Track API changes for lazy loading
	  images.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs: Flush.

2009-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* Gui/unit-test-16.png:
	* Gui/unit-test-24.png:
	* MonoDevelop.NUnit.csproj:
	* MonoDevelopNUnit.addin.xml: Added new icon.

2009-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Services/NUnitService.cs: Don't try to build tests until the
	  service has been fully initialized.

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Services/NUnitService.cs:
	* Services/NUnitAssemblyTestSuite.cs: Name threads to make
	  debugging easier.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/TestResultsPad.cs:
	* Project/NUnitAssemblyGroupProject.cs:
	* Services/NUnitProjectServiceExtension.cs: Introduced the
	  ConfigurationSelector class to all methods that previously
	  took a configuration name as string. This eliminates the
	  ambiguity between solution configuration names and project
	  configuration names.

2009-11-20  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Use correct cairo lib.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelopNUnit.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/TestPad.cs:
	* Gui/TestResultsPad.cs: Fix warnings.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.NUnit.csproj: Reference the mono-cairo package.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs: Flush.

2009-10-16  Mike Krüger  <mkrueger@novell.com>

	* Gui/CircleImage.cs: Handled icon loading error.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* md1format.xml: Track namespace changes.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelopNUnit.addin.xml: Bump MD version.

2009-10-02  Lluis Sanchez Gual  <lluis@novell.com>

	* Services/NUnitService.cs: After a build operation, and
	  before running the tests, ensure that the tests are up to
	  date by calling Refresh.

	* Services/UnitTest.cs: Added refresh operation. Fire test
	  events in the gui thread.

	* Services/UnitTestGroup.cs:
	* Services/NUnitProjectTestSuite.cs:
	* Services/NUnitAssemblyTestSuite.cs: Implemented the Refresh
	  operation. This operation updates any test that needs to be
	  updated. It is an async operation. All this fixes bug
	  #540257 - Unit test pad not updated correctly when "run
	  tests" implies a build operation.

2009-09-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/TestPad.cs: Add support for custom execution modes.

2009-09-09  Christian Hergert  <chris@dronelabs.com>

	* Services/NUnitService.cs: Make dialog transient for the
	  root window.

2009-08-28  Mike Krüger  <mkrueger@novell.com>

	* templates/NUnitTestClass.xft.xml: Fixed "Bug 479196 - "add
	  test fixture" adds refs to nunit.core and nunit.framework
	  from "Package"".

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.NUnit.csproj: Updated dependencies. We now
	  depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-06  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* Gui/TestChart.cs:
	* MonoDevelop.NUnit.csproj: Track api changes in the chart
	  widget.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* Services/NUnitAssemblyTestSuite.cs: Track api changes.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* Services/NUnitService.cs:
	* Gui/NUnitAssemblyGroupNodeBuilder.cs:
	* Gui/NUnitAssemblyGroupConfigurationNodeBuilder.cs: Use the
	  new DesktopService instead of PlatformService.

2009-06-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Services\ExternalTestRunner.cs:
	* Services\NUnitAssemblyTestSuite.cs: In some cases MS.NET
	  can't properly resolve assemblies even if they are already
	  loaded. For example, when deserializing objects from
	  remoting. Added a handler for AssemblyResolve that handle
	  this case.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Project\NUnitAssemblyGroupFileFormat.cs: Use the new
	  FilePath class for handling file and directory paths.

2009-05-06  Lluis Sanchez Gual  <lluis@novell.com>

	* Services/NUnitTestCase.cs:
	* Services/NUnitTestSuite.cs: Implement OnCanRun for NUnit
	  tests and test suites.

	* Services/UnitTestGroup.cs: A test suite can be run using a
	  specific mode if all child tests can.

	* Gui/TestPad.cs: Improve support for using a custom execution
	  mode.

2009-05-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelopNUnit.addin.xml: Added Run Test With submenu,
	  with support for all registered modes.

	* Gui/TestPad.cs:
	* Services/UnitTest.cs:
	* Services/TestContext.cs: Track api changes.

2009-04-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelopNUnit.addin.xml: Changed copyright tag.

2009-04-24  Mike Krüger  <mkrueger@novell.com>

	* AssemblyInfo.cs: Changed assembly info.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* Gui/TestResultsPad.cs: Renamed PixbufService to
	  ImageService.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* Gui/TestResultsPad.cs: Track API changes.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.NUnit.csproj: don't require specific
	gtk-sharp version.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* Gui/NUnitOptionsPanel.cs:
	* Services/NUnitService.cs:
	* MonoDevelopNUnit.addin.xml:
	* Gui/UnitTestOptionsDialog.cs: translated the option panels
	  to the new option structure.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelopNUnit.addin.xml: Bump MD version.

2009-03-20  Michael Hutchinson  <mhutchinson@novell.com>

	* templates/NUnitProject.xpt.xml: Reference the version of
	  NUnit that we ship with MD.

2009-03-05  Lluis Sanchez Gual  <lluis@novell.com>

	* Services/NUnitAssemblyTestSuite.cs: Improved error message.

2009-03-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/TestPad.cs:
	* Services/UnitTest.cs:
	* Services/TestContext.cs:
	* Services/NUnitService.cs:
	* Services/NUnitAssemblyTestSuite.cs:
	* Services/NUnitProjectServiceExtension.cs: Changed the way
	  execution handlers work. We are not using platform ids
	  anymore. Instead, we use command strings when looking for
	  execution handlers. IExecutionHandlerFactory has been
	  removed and now everything is handled by IExecutionHandler,
	  which has a new CanExecute method. This model is more simple
	  and more generic.

2009-02-27  Lluis Sanchez Gual  <lluis@novell.com>

	* Services/NUnitProjectTestSuite.cs: Check for nunit.core as
	  well as nunit.framework when looking for nunit test
	  projects. Should fix bug #477523.

2009-02-23  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/TestPad.cs: Track merge of the project pad context menu.

2009-02-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Services/NUnitAssemblyTestSuite.cs: Modify the test
	  collection in the gui thread, to avoid concurrent access.
	  Fixes bug #469131 - Random IOE exception.

2009-02-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/TestPad.cs:
	* Services/UnitTest.cs:
	* Gui/TestResultsPad.cs:
	* Services/TestContext.cs:
	* Services/NUnitService.cs:
	* Commands/NUnitCommands.cs:
	* MonoDevelopNUnit.addin.xml:
	* Services/ExternalTestRunner.cs:
	* Services/NUnitAssemblyTestSuite.cs:
	* Services/NUnitProjectServiceExtension.cs: Added support for
	  running unit tests using a special execution mode (for
	  example, using the debugger).

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelopNUnit.addin.xml: Don't partially assembly-qualify
	  type name, as it makes .NET unhappy, and doesn't seem to be
	  necessary for Mono.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.NUnit.mds:
	* MonoDevelop.NUnit.mdp:
	* MonoDevelop.NUnit.csproj: Migrated to MSBuild file format.

2009-02-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelopNUnit.addin.xml: Don't register the nunit package
	  if mono-nunit is installed and has the same version.

	* gtk-gui/generated.cs: Flush.

2009-02-05  Lluis Sanchez Gual  <lluis@novell.com>

	* Services/UnitTestResult.cs: Getting the failure location
	  doesn't work very well. Disable for now.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelopNUnit.addin.xml: Bump MD version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.NUnit.mdp: Flush.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.NUnit.mds:
	* MonoDevelop.NUnit.mdp:
	* NUnitRunner/NUnitRunner.mdp: Flush project format changes.

2009-01-20  Lluis Sanchez Gual  <lluis@novell.com>

	* NUnitRunner/NUnitTestRunner.cs: Make sure that only the provided test
	suite is executed.

2009-01-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Services/ExternalTestRunner.cs: Add a default test result message when
	none is provided.

	* Gui/TestResultsPad.cs:
	* Gui/TestNodeBuilder.cs:
	* Services/UnitTestResult.cs: When jumping to the test source code, if
	the test failed, jump to the line of the failure.

	* templates/NUnitTestClass.xft.xml: Add references to NUnit when adding
	a test fixture to a project.

2009-01-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/TestPad.cs:
	* Services/NUnitService.cs:
	* Commands/NUnitCommands.cs:
	* MonoDevelopNUnit.addin.xml:
	* Services/UnitTestCollection.cs: Added command for running the tests.

	* Makefile.am:
	* MonoDevelop.NUnit.mdp:
	* Services/NUnitProjectServiceExtension.cs: When the project is a nunit
	library and there are no custom execution commands, run the tests
	when clicking on the Run option.

2009-01-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.NUnit.mds: Added new NUnitRunner project.

2009-01-16  Lluis Sanchez Gual  <lluis@novell.com>

	* lib/nunit.util.dll:
	* lib/nunit.core.dll:
	* lib/nunit.framework.dll:
	* MonoDevelopNUnit.addin.xml:
	* lib/nunit.core.interfaces.dll: Update to latest NUnit.

	* NUnitRunner:
	* Services/UnitTest.cs:
	* NUnitRunner/Makefile.am:
	* Services/NUnitTestCase.cs:
	* Services/NUnitTestSuite.cs:
	* Services/UnitTestResult.cs:
	* NUnitRunner/NUnitRunner.mdp:
	* Services/ExternalTestRunner.cs:
	* NUnitRunner/NUnitTestRunner.cs:
	* Services/NUnitProjectTestSuite.cs:
	* Services/NUnitAssemblyTestSuite.cs: Changed the way tests are run.
	Tests are now run in a separate appdomain to avoid conflicts of the
	tested assembly with MD.

	* Gui/TestResultsPad.cs: Ignore NUnit stack frames when looking for the
	source of a test failure. Fix some issues with the output pad.

	* Makefile.am:
	* MonoDevelop.NUnit.mdp: Updated.

2009-01-09  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/TestPad.cs:
	* Gui/TestResultsPad.cs: Make sure the tree view is the first widget to
	be focused when presenting the pad.

2009-01-07  Lluis Sanchez Gual  <lluis@novell.com>

	* Services/ExternalTestRunner.cs: Fix bug #461415 - NUnit addin's path
	handling does not account for inherited tests. Patch by Brian
	Anderson.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.NUnit.mdp: All projects now require fx 3.5.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/NUnitAssemblyGroupFileFormat.cs: Track API changes.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.NUnit.mdp: Don't require a specific version of
	Mono.Addins.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Services/NUnitService.cs: Track api changes.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-11-25  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui:
	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs: Add missing files.

2008-11-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Services/ExternalTestRunner.cs: Fix bug #440929 - Exception when
	running single test fixture that contains no tests.

	* MonoDevelop.NUnit.mdp: Added stetic file.

	* Makefile.am: Fix support for makefile parallel build.

2008-11-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix build dependencies.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelopNUnit.addin.xml: Bump MD version.

2008-10-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelopNUnit.addin.xml, Services/WorkspaceTestGroup.cs,
	  Services/NUnitService.cs, Services/SolutionFolderTestGroup.cs,
	  Gui/TestResultsPad.cs, Gui/TestPad.cs: Use a simple lazy singleton
	  instead of an IService.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.NUnit.mdp: Updated generated code.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* Services/NUnitProjectTestSuite.cs: Track api changes.

2008-09-04  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/NUnitAssemblyGroupConfigurationNodeBuilder.cs,
	  Gui/NUnitAssemblyGroupNodeBuilder.cs, Gui/TestNodeBuilder.cs,
	  Gui/TestAssemblyNodeBuilder.cs, Gui/TestPad.cs: Moved the
	  extensible tree view to its own directory.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* Services/NUnitProjectTestSuite.cs: Translated old code to new dom.

2008-07-25  Peter Johanson <peter@peterjohanson.com> 

	* Services/ExternalTestRunner.cs: Prevent an ArgumentOutOfRange
	  exception if we are running a UnitTestGroup node.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/NUnitAssemblyGroupFileFormat.cs,
	  Project/NUnitAssemblyGroupProject.cs, Project/TestAssembly.cs,
	  Services/NUnitOptions.cs, Services/UnitTest.cs: Moved serialization
	  engine to MonoDevelop.Core. Use new syntax for specifying attribute
	  scope.

2008-06-17  Lluis Sanchez Gual <lluis@novell.com> 

	* Services/NUnitAssemblyTestSuite.cs: When counting test cases, ensure
	  the test suite is fully loaded. Fixes bug #400106.
	* Gui/TestResultsPad.cs: Some protection against division by 0.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelopNUnit.addin.xml: Bump MD version.

2008-05-28  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/TestResultsPad.cs: Fix bug 387453 - Buttons in NUnit Test Results
	  throw exception.

2008-05-27  Lluis Sanchez Gual <lluis@novell.com> 

	* Services/NUnitService.cs, Gui/TestPad.cs: Moved SearchTest to
	  NUnitService.
	* Gui/TestResultsPad.cs: Fixed bug 366047 - Exceptions in "Test
	  results" pad.

2008-05-23  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/NUnitAssemblyGroupFileFormat.cs: Track api changes.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/NUnitAssemblyGroupProject.cs: Replaced
	  ICompilerResult/DefaultCompilerResult/CompilerResults by a new
	  BuildResult class, which has owner information at error level, so
	  it is possible to know which project generated an error when
	  building a solution. Updated Task and TaskService to use the new
	  owner information.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* md1format.xml: Added missing file.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelopNUnit.addin.xml, MonoDevelop.NUnit.mdp,
	  Services/WorkspaceTestGroup.cs, Services/NUnitService.cs,
	  Services/UnitTest.cs, Services/SolutionFolderTestGroup.cs,
	  Services/UnitTestGroup.cs, Services/NUnitProjectTestSuite.cs,
	  Services/SystemTestProvider.cs, Services/ITestProvider.cs,
	  Services/NUnitAssemblyTestSuite.cs,
	  Gui/NUnitAssemblyGroupConfigurationNodeBuilder.cs,
	  Gui/TestResultsPad.cs, Gui/NUnitAssemblyGroupNodeBuilder.cs,
	  Gui/TestPad.cs, Project/NUnitAssemblyGroupProject.cs,
	  Project/NUnitAssemblyGroupFileFormat.cs, Makefile.am: New project
	  model changes.

2008-02-27  Mike Krüger <mkrueger@novell.com> 

	* Services/TestProgressMonitor.cs: Refactored status bar.

2008-02-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelopNUnit.addin.xml, Services/NUnitService.cs: Put back the
	  old results pad.
	* Gui/TestResultsPad.cs: When double clicking a test, jump to the exact
	  line that failed. When selecting a test, scroll the output view so
	  it shows the test's output.
	* Gui/TestPad.cs: Use a toolbar without labels.

2008-02-23  Mike Krüger <mkrueger@novell.com> 

	* Services/TestProgressMonitor.cs: Added tests finished message.

2008-02-23  Mike Krüger <mkrueger@novell.com> 

	* Gui/TestPad.cs: Fixed threading bug.

2008-02-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelopNUnit.addin.xml, Services/TestProgressMonitor.cs,
	  Services/NUnitService.cs, Gui/TestResultsPad.cs, Gui/TestPad.cs,
	  Gui/CircleImage.cs: Worked on nunit pad

2008-02-20  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.NUnit.mdp, Makefile.am: Fix references.
	* MonoDevelopNUnit.addin.xml, Services/NUnitService.cs: Register nunit
	  packages using the extension point, instead of doing it by conde in the
	  nunit service (since that code won't be run unless the service is
	  explicitely loaded). Fixes bug #

2008-02-20  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/NUnitAssemblyGroupNodeBuilder.cs, Gui/TestAssemblyNodeBuilder.cs:
	  Handle the delete key in TreeViewPad, so it will work event if the
	  shortcut is not defined.

2008-02-06  Mike Krüger <mkrueger@novell.com> 

	* Gui/TestPad.cs: Some changes for the new TreeViePiye

2008-02-05  Lluis Sanchez Gual <lluis@novell.com> 

	* templates/NUnitProject.xpt.xml: Fix nunit versions referenced in the
	  project.

2008-02-04  Lluis Sanchez Gual <lluis@novell.com> 

	* templates/NUnitProject.xpt.xml: Don't try to open Test.cs, since it wont
	  work for languages other than c#. Fixes bug #358359.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelopNUnit.addin.xml: Update MD version.

2008-01-23  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/NUnitOptionsPanel.cs: Ensure we don't create subclasses of classes
	  with private fields bound by glade#. It would not work due to bug
	  355228.

2008-01-15  Michael Hutchinson <mhutchinson@novell.com> 

	* templates/NUnitTestClass.xft.xml, templates/NUnitAssemblyGroup.xpt.xml,
	  templates/NUnitProject.xpt.xml: Make template categories translatable.

2008-01-09  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/TestPad.cs: Add null check when filling data for selected node. Should
	  fix bug #350518.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelopNUnit.addin.xml: Bump add-in versions.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.NUnit.mdp, Makefile.am: Directory reorganization.

2007-11-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelopNUnit.addin.xml, Services/NUnitService.cs: Reuse the results
	  pad. Don't create it at every session. Fixes bug #338960.
	* Gui/TestResultsPad.cs: Icon and title is now set in the manifest.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* Services/NUnitService.cs, Services/XmlResultsStore.cs,
	  Services/NUnitAssemblyTestSuite.cs: Track LoggingService API changes.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelopNUnit.addin.xml: Bump MD version.

2007-10-25  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/NUnitAssemblyGroupNodeBuilder.cs, templates/NUnitTestClass.xft.xml:
	  Use tango file icons. Removed obsolete icons.

2007-10-24  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.NUnit.mdp, Services/NUnitService.cs, Gui/nunit-overlay-32.png,
	  Gui/TestResultsPad.cs, Makefile.am,
	  templates/NUnitAssemblyGroup.xpt.xml, templates/NUnitProject.xpt.xml:
	  Updated project icons. Use the base project icon with an overlay to show
	  the type.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.NUnit.mdp: Project file names updated by change in MD path
	  functions.

2007-10-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.NUnit.mdp: Fix warning level.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelopNUnit.addin.xml: Bump MD version.

2007-09-04  Michael Hutchinson <MHutchinson@novell.com>

	* Gui/UnitTestOptionsDialog.cs,
	  Gui/NUnitOptionsPanel.cs: Fix compiler warnings.

2007-08-31  Mike Krüger <mkrueger@novell.com> 

	* Gui/UnitTestOptionsDialog.cs, Gui/NUnitOptionsPanel.cs: Changes due to new
	  property infrastructure.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelopNUnit.addin.xml: Removed the CommandService class. Everything
	  is done directly with CommandManager. Moved all extension node types to
	  MD.Components.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.NUnit.mdp, MonoDevelopNUnit.addin.xml,
	  Services/NUnitService.cs, Gui/UnitTestOptionsDialog.cs,
	  Gui/NUnitAssemblyGroupConfigurationNodeBuilder.cs,
	  Gui/TestResultsPad.cs, Gui/NUnitAssemblyGroupNodeBuilder.cs,
	  Gui/TestAssemblyNodeBuilder.cs, Gui/TestNodeBuilder.cs, Gui/TestPad.cs,
	  Makefile.am: Reorganized the extension point hierarchy. Embedded all
	  add-in manifests as resources.

2007-08-02  Lluis Sanchez Gual <lluis@novell.com> 

	* Services/NUnitService.cs,
	  Gui/NUnitAssemblyGroupConfigurationNodeBuilder.cs,
	  Gui/NUnitAssemblyGroupNodeBuilder.cs, Gui/TestNodeBuilder.cs,
	  Gui/TestPad.cs: Converted DispatchService to a static class.

2007-07-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.NUnit.mdp, MonoDevelopNUnit.addin.xml, Gui/nunit.png,
	  Makefile.am: Added icon for the nunit pad.

2007-07-18  Lluis Sanchez Gual <lluis@novell.com> 

	* Services/NUnitService.cs, Services/XmlResultsStore.cs,
	  Services/NUnitAssemblyTestSuite.cs: Use the log service for logging
	  errors.

2007-07-03  Mike Krüger <mkrueger@novell.com> 

	* Gui/TestResultsPad.cs: Changed a bit because of the removal of custom
	  collections in the Ide project.

2007-06-20  Lluis Sanchez Gual <lluis@novell.com> 

	* Services/NUnitService.cs: Track api changes.

2007-05-31  Lluis Sanchez Gual <lluis@novell.com> 

	* Services/NUnitService.cs: If a solution is already open when
	  initializing the nunit service, load the test tree.

2007-05-29  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/TestResultsPad.cs: Fixed some status messages. Make sure the
	  progress label does not grow beyond the available space.

2007-05-29  Lluis Sanchez Gual <lluis@novell.com> 

	* Services/NUnitService.cs: Unregister tests providers of unloaded
	  add-ins.

2007-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/TestPad.cs: Added missing null check. Fixes bug #81097.

2007-05-17  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/TestPad.cs: Fill the tree if there is some RootTest defined just
	  after the pad initialization.

2007-05-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.NUnit.mdp: Copy nunit dlls to target dir.
	* Services/NUnitService.cs, Gui/TestResultsPad.cs: Track api changes.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.NUnit.mdp: Copy the .addins.xml file to the output dir.

2007-05-10  Mike Krüger <mkrueger@novell.com>

	* Services/NUnitService.cs:
	Fixed bug in pad loading.
2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.NUnit.mdp, Makefile.am: Reference shared assemblies from
	  the correct location.

2007-05-05  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelopNUnit.addin.xml: Restore extension deleted during the M.A
	  migration.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.NUnit.mdp, MonoDevelopNUnit.addin.xml,
	  Services/NUnitService.cs, Gui/UnitTestOptionsDialog.cs,
	  Makefile.am: Migration to Mono.Addins.

2007-05-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/Combine.cs,
	  MonoDevelop.Projects/CombineEntryEventArgs.cs,
	  MonoDevelop.Projects.Parser/DefaultParserService.cs: Added a
	  Reloading property to the argument of the entry add/remove events
	  of Combine, which is set to true if the entry is being only
	  reloaded, not actually removed/added to the combine.

2007-04-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.NUnit.mdp: Updated.
	* Project/NUnitAssemblyGroupFileFormat.cs: Track api changes.

2007-03-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.NUnit.mdp: Don't local copy references.
	* Services/NUnitService.cs, Gui/TestResultsPad.cs: Added button for
	  running the tests. Fixed context menu. Don't make the TestResultPad
	  a subclass of GuiSyncObject because there are some identity issue
	  with GetHashCode and the proxy. Using TestMonitor instead.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelopNUnit.addin.xml: Change add-in versions to 0.13.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.NUnit.mdp: Set target runtime to 2.0.

2007-02-11  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am: Remove nunit references, since nunit is now included in
	  the add-in.

2007-02-11  David Makovský (Yakeen) <yakeen@sannyas-on.net>

	*Makefile.am: install also nunit.framework.dll, otherwise addin will not start on some systems

2007-02-10  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.NUnit.mdp: Synchronized the MD project and the Makefile
	* MonoDevelopNUnit.addin.xml: Removed nunit dependency. Added new
	  project template.
	* Services/ExternalTestRunner.cs, Services/NUnitAssemblyTestSuite.cs:
	  Track api changes in NUnit.
	* Services/NUnitService.cs: Register the nunit package is none is
	  installed.
	* Gui/TestResultsPad.cs: Make the toolbar smaller. Added null check for
	  empty result messages when a test is ignored.
	* lib, lib/nunit.framework.dll, lib/nunit.core.dll: Bundle nunit
	  together with the add-in.
	* Makefile.am: Synchronized the MD project and the Makefile. Bundle
	  nunit together with the add-in.
	* templates/NUnitTestClass.xft.xml: Latest NUnit versions require the
	  Test attribute to be applied to test methods.
	* templates/NUnitProject.xpt.xml: New project template.

2007-02-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.NUnit.mdp: Updated.
	* Gui/NUnitAssemblyGroupNodeBuilder.cs: Dispose the project after
	  removing it.
	* Project/NUnitAssemblyGroupProject.cs: Track api changes.

2006-12-18  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/NUnitAssemblyGroupProject.cs: Track api changes.

2006-11-16  Lluis Sanchez Gual <lluis@novell.com> 

	* Services/NUnitService.cs: Use global events to keep track of
	  reference changes (simplified the code).

2006-09-21 Lluis Sanchez Gual  <lluis@novell.com> 

	* Gui/NUnitAssemblyGroupNodeBuilder.cs:
	* MonoDevelopNUnit.addin.xml: Added delete command to the nunit
	  assembly group context menu.
	  
	* Services/NUnitProjectTestSuite.cs: Track API changes.

2006-09-07 Andrés G. Aragoneses  <knocte@gmail.com>

	* MonoDevelopNUnit.addin.xml: Improved string.

2006-09-05 Lluis Sanchez Gual  <lluis@novell.com> 

	* Services/ExternalTestRunner.cs: Make sure the MonoDevelop.Projects
	  add-in is loaded in the remote process.

2006-07-03 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.NUnit.mdp:
	* Makefile.am:
	* templates/NUnitTestClass.xft.xml: Added new file template for
	  unit tests.
	  
	* Services/UnitTest.cs: Removed DataItem attributes, since they
	  are not ignored anymore.
	* MonoDevelopNUnit.addin.xml: Updated versions.

2006-06-15 Lluis Sanchez Gual  <lluis@novell.com>

	* Services/NUnitService.cs: Use the new extension listeners to
	  read extensions.

2006-05-31 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelopNUnit.addin.xml:
	* Services/NUnitService.cs: Added an extension point for registering
	  test providers. It replaces the RegisterTestProvider api call.

2006-05-04 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelopNUnit.addin.xml: Updated versions.
	* MonoDevelop.NUnit.mdp: Updated.

2006-04-18 Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/CircleImage.cs: Added static constructor to get
	strict "beforefieldinit" semantics, so that the images
	are loaded after GTK is initialized.

2006-04-04 Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Reference nunit libraries using $(NUNIT_LIBS).
	  Patch by Christian Hergert.

2006-04-03 Lluis Sanchez Gual  <lluis@novell.com>

	* NUnit/Services/NUnitService.cs: Use a GUI thread safe
	  subscription to CombineOpened event.

2006-03-30 Lluis Sanchez Gual <lluis@novell.com>

	* MonoDevelop.NUnit.addin.xml: Added info about the
	  nunit dependency.

2006-03-30 Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.NUnit.addin.xml: Updated references.

2006-03-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.NUnit.mdp: Updated.
	* Makefile.am: Use an unified format. Patch by Matze Braun.
	* MonoDevelopNUnit.addin.xml: Updated add-in versions.

2006-03-22  Lluis Sanchez Gual  <lluis@novell.com> 

	* NUnit/MonoDevelopNUnit.addin.xml: Declared nunit.framework
	  dependency.

2005-12-22  David Makovský <yakeen@sannyas-on.net> 

	* Gui/TestResultsPad.cs:
	* Gui/NUnitOptionsPanel.cs:
	* Gui/TestNodeBuilder.cs:
	* Gui/TestPad.cs: Make some strings translatable.


2005-11-15  Lluis Sanchez Gual  <lluis@novell.com> 

	* Services/NUnitTestCase.cs:
	* Services/NUnitTestSuite.cs:
	* Services/NUnitAssemblyTestSuite.cs:
	* Services/ExternalTestRunner.cs: Properly handle the case when it's
	running a single test case.
	
	* Services/UnitTest.cs: Save the inherited store if needed.
	* Services/XmlResultsStore.cs: Reset the modified flag once the
	store is saved.
	* Gui/TestResultsPad.cs: Clear the output buffer when refreshing the
	results list.
	* MonoDevelopNUnit.addin.xml: Added dependency.

2005-10-11  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelopNUnit.addin.xml: Fixed addin header information.
	Use "id" attribuet instead of "name" to identify addins.

2005-10-04  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelopNUnit.addin.xml: Added addin dependencies.
	* Gui/UnitTestOptionsDialog.cs: Use the new addin API.

2005-09-22  Lluis Sanchez Gual  <lluis@novell.com> 

	* Services/NUnitService.cs:
	* Services/CombineTestGroup.cs:
	* Services/NUnitProjectTestSuite.cs:
	* Services/SystemTestProvider.cs: Only generate a test suite for
	projects that reference the nunit.framework assembly.

2005-08-12  Lluis Sanchez Gual  <lluis@novell.com> 

	* templates/*:
	* MonoDevelopNUnit.addin.xml: Properly reference resource icons and
	templates.
	* Makefile.am: Embed icon and templates as resources.
	* Gui/NUnitAssemblyGroupConfigurationNodeBuilder.cs: Track changes in
	the Stock class.

2005-08-10  Lluis Sanchez Gual  <lluis@novell.com>

	* Services/NUnitService.cs:
	* Gui/UnitTestOptionsDialog.cs: Track changes in TreeViewOptions.

2005-08-10  Ben Motmans  <ben.motmans@gmail.com>

	* MonoDevelop.NUnit.mdp: references update

2005-08-09  Lluis Sanchez Gual  <lluis@novell.com>

	* Services/NUnitProjectTestSuite.cs: Use the new IParserContext API.

2005-08-03  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/TestPad.cs:
	* Gui/TestResultsPad.cs: Use the new command service to show
	context menus.

2005-07-27  Lluis Sanchez Gual  <lluis@novell.com> 

	* Project/NUnitAssemblyGroupProject.cs: Track api changes.

2005-07-13  Lluis Sanchez Gual  <lluis@novell.com> 

	* New addin implementation.

2005-03-16  John Luke  <john.luke@gmail.com>

	* Redo the nunit addin based on gnunit
